summarylogtreecommitdiffstats
path: root/gcc.install
diff options
context:
space:
mode:
Diffstat (limited to 'gcc.install')
-rw-r--r--gcc.install20
1 files changed, 20 insertions, 0 deletions
diff --git a/gcc.install b/gcc.install
new file mode 100644
index 00000000000..3407a5e1f37
--- /dev/null
+++ b/gcc.install
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(cpp.info cppinternals.info gcc.info gccinstall.info gccint.info)
+
+post_install() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+ done
+}